org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class JsInspectExpression

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.JsInspectExpression

    public class JsInspectExpression
    extends PlatformObject

An Eclipse object for the JavaScript inspected expression.

### Constructor Summary

Constructors
Constructor and Description
`JsInspectExpression(EvaluateContext evaluateContext, java.lang.String expression, JsValue value, java.lang.String errorMessage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`IDebugTarget` `getDebugTarget()`
`java.lang.String[]` `getErrorMessages()`
`java.lang.String` `getExpressionText()`
`ILaunch` `getLaunch()`
`java.lang.String` `getModelIdentifier()`
`IValue` `getValue()`
`void` `handleDebugEvents(DebugEvent[] events)`
`boolean` `hasErrors()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsInspectExpression

    public JsInspectExpression(EvaluateContext evaluateContext,
                               java.lang.String expression,
                               JsValue value,
                               java.lang.String errorMessage)

### Method Detail

#### getErrorMessages

    public java.lang.String[] getErrorMessages()

#### hasErrors

    public boolean hasErrors()

#### dispose

    public void dispose()

#### getDebugTarget

    public IDebugTarget getDebugTarget()

#### getExpressionText

    public java.lang.String getExpressionText()

#### getValue

    public IValue getValue()

#### getLaunch

    public ILaunch getLaunch()

#### getModelIdentifier

    public java.lang.String getModelIdentifier()

#### handleDebugEvents

    public void handleDebugEvents(DebugEvent[] events)